/*
Simple Modal Window
Author: KEITA HIRAI
URL: keitahirai.net
*/
$(function() {
	// モジュール
	var scrollY,
		Window = $(window),
		hb = $("html, body"),
		body = $("body"),
		mw = $(".modal-window");

	// オーバーレイ
	body.append('<span id="modal-overlay"></span>');
	var overlay = $("#modal-overlay");

	// 開く
	$(".modal a").click(function() {
		scrollY = Window.scrollTop();

		body.css({
			position: "fixed",
			top: -scrollY
		});

		overlay.show();
		$($(this).attr("href")).addClass("block");
		return false;
		e.preventDefault();
	});

	// 閉じる
	$("#modal-overlay, .modal-window .close").click(function(e) {
		body.attr("style", "");
		hb.prop({scrollTop: scrollY});
		mw.removeClass("block");
		overlay.hide();
		return false;
		e.preventDefault();
	});

	// Esc キーで閉じる
	Window.keydown(function(e) {
		if (e.keyCode == 27) {
			body.attr("style", "");
			hb.prop({scrollTop: scrollY});
			mw.removeClass("block");
			overlay.hide();
		}
	});
});